﻿'_________________________________

'Form 1 part 2 (Partial Class)

'_________________________________

Option Explicit On
Option Strict On


Imports XBEE_NXT_Remote_Control.General
Imports System.Threading

Partial Public Class frmMain

#Region "Make it so!: Direction buttons and Arrow Keys"
    Private Sub Direction_Controls(sender As System.Object, e As System.EventArgs) Handles btnForward.Click,
        btnRight.Click, btnReverse.Click, btnLeft.Click, btnIdle.Click

        Dim whichButton As Button = CType(sender, Button)

        Select Case whichButton.Name
            Case "btnForward"
                asciiCode = "102"
            Case "btnReverse"
                asciiCode = "98"
            Case "btnRight"
                asciiCode = "114"
            Case "btnLeft"
                asciiCode = "108"
            Case "btnIdle"
                asciiCode = "115"
            Case Else
                asciiCode = "0"
        End Select

        '---now move bot
        If asciiCode <> "0" Then

            RS232.WriteLine(asciiCode)   
            Thread.Sleep(150)           'wait for data to get through the pipeline
            RS232.WriteLine(asciiCode)  'now send the key code

        End If
        cboPorts.Focus()         'keeps buttons from handling my arrow keydown events
    End Sub



    Private Sub frmMain_KeyDown(sender As Object, e As System.Windows.Forms.KeyEventArgs) Handles Me.KeyDown
        '---make sure form.keypreview = true
        Select Case e.KeyCode
            Case Keys.Left
                e.Handled = True        'don't pass the key to any control that might have the focus
                btnLeft.PerformClick()
            Case Keys.Right
                e.Handled = True
                btnRight.PerformClick()
            Case Keys.Up
                e.Handled = True
                btnForward.PerformClick()
            Case Keys.Down
                e.Handled = True
                btnReverse.PerformClick()
            Case Keys.End
                e.Handled = True
                btnIdle.PerformClick()
        End Select
        cboPorts.Focus()         'keeps buttons from handling my arrow keydown events
    End Sub

#End Region

End Class
